[project]
name = "Phase-3-Quant"
version = "0.1.0"
description = "Add your description here"
readme = "README.md"
requires-python = ">=3.12"
dependencies = [
    "altair>=6.0.0",
    "imagehash>=4.3.1",
    "jupyter>=1.1.1",
    "marimo>=0.18.0",
    "matplotlib>=3.10.8",
    "modin[dask]>=0.37.1",
    "numpy>=2.3.5",
    "ollama>=0.6.1",
    "openai>=2.9.0",
    "openpyxl>=3.1.5",
    "pandas>=2.3.3",
    "pillow>=11.0.0",
    "polars>=1.37.1",
    "pyarrow>=23.0.0",
    "pysqlite3>=0.6.0",
    "python-pptx>=1.0.2",
    "pyzmq>=27.1.0",
    "requests>=2.32.5",
    "scipy>=1.14.0",
    "taguette>=1.5.1",
    "tqdm>=4.66.0",
    "vl-convert-python>=1.9.0.post1",
    "wordcloud>=1.9.5",
]

[project.scripts]
quant-report-batch = "run_filter_combinations:main"


